> For the complete documentation index, see [llms.txt](https://docs.cnpj.ws/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cnpj.ws/es/referencia-de-api/api-publica/validando-inscricao-suframa.md).

# Validando Inscripción en Suframa en la API Pública

En la API Pública es posible hacer hasta 3 consultas por minuto de una inscripción en Suframa utilizando el método POST.

Recuerda enviar el CNPJ sin los caracteres especiales.

**Método:** `POST`

**Endpoint:** `https://publica.cnpj.ws/suframa`

### Ejemplos de Solicitud

{% openapi src="/files/n7RtQ06UcCvDw6MXtUKg" path="/suframa" method="post" %}
[openapi-publica.yaml](https://content.gitbook.com/content/ZYWCe6C3PGIrqh1fMqTq/blobs/kdIIQbI0s4s5oQuHBJqf/openapi-publica.yaml)
{% endopenapi %}

Nosotros tenemos un paquete que puede ayudarte en la integración con JavaScript:

```shell
yarn add consultar-cnpj
```

```js
const consultarCNPJ = require("consultar-cnpj");

async function getCNPJ() {
  const cnpj = "61940292006682";
  const incricao = "210140267";

  const empresa = await consultarCNPJ.suframa(cnpj, incricao);
  console.log(empresa);
}
```

[Más información del paquete](https://www.npmjs.com/package/consultar-cnpj)

#### Ejemplo de Retorno

A continuación, un ejemplo del JSON retornado al buscar por el CNPJ **61940292006682** y la inscripción **210140267**:

```json
{
  "cnpj_raiz": "61940292",
  "cnpj": "61940292006682",
  "inscricao_suframa": "210140267",
  "ativo": true,
  "atualizado_em": "2022-01-16T12:28:32.384Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cnpj.ws/es/referencia-de-api/api-publica/validando-inscricao-suframa.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
